subroutine DERIVS(t)
use work
! Calculeaza membrii II ai ec. dif. de ordinul I
implicit real(8) (a-h,o-z)
!real(8) y(*), ff(*)

! Ecuatia Van der Pol:
! x'' -lambda(1-x**2)*x'+x =A*cos(omega*t)
! 1st order:
! x' = u		; x(0) =1
! y' = lambda*(1-x**2)*u -x + A*cos(omega*t)	; y(0)=0

f(1) =xEnd(2)
f(2) =Param%k*(1-xEnd(1)**2)*xEnd(2) -xEnd(1) + Param%B*dcos(Param%omega*t)

END subroutine DERIVS

